OpenOffice.org Forum at OOoForum.orgThe OpenOffice.org Forum
 
 [Home]   [FAQ]   [Search]   [Memberlist]   [Usergroups]   [Register
 [Profile]   [Log in to check your private messages]   [Log in

General Question about handling Versions...

 
Post new topic   Reply to topic    OOoForum.org Forum Index -> OpenOffice.org Macros and API
View previous topic :: View next topic  
Author Message
lenaz
General User
General User


Joined: 06 May 2009
Posts: 5

PostPosted: Mon May 11, 2009 1:22 am    Post subject: General Question about handling Versions... Reply with quote

...of OpenOffice.org

Hi!

Our software has to support OOo 2.x as well as OOo 3.x

well... 2.x is no problem ... our customers with OOo 2.x installed are happy...and when they are updating, they update to 3.x, so 2.x won't be a topic anymore ...

but now i want to know... if the software supports OOo 3.0.1 ... can there be problems, wenn a customer installs OOo 3.1 (or later an even more uptodate-version)?

for understanding:
in my webapplication, i am asking which OOo - Version is installed ( it's a database-entry )
at the moment, i handle the version like this:
Code:

if (OOoVersion.equals("3.0.1")) { do code for 3.0.1 }


now the question is ... should i handle every version separately? (that would be amazing...!)
or can i handle it like this:
Code:

if(OOoVersion.startsWith("3")){ do code for 3.x }


what do you think...?

greetings
lenaz
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    OOoForum.org Forum Index -> OpenOffice.org Macros and API All times are GMT - 8 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group